comp • gb.gui.qt

gb.gui.qt

This component will load either the gb.qt4 or the gb.qt5 component, according to the current desktop in use.

  • If you use KDE 4, then gb.qt4 will be loaded.

  • In all other cases, gb.qt5 will be loaded.

If the GB_GUI environmental variable is defined, then gb.gui.qt will load the component specified in it, whatever desktop is currently used.

See the gb.qt4 component for the documentation of classes.

Author BenoƮt Minisini.
Implements Graphical form management, Event loop management, Image loading and saving.
Requires gb.image.

See also